跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support
This is the documentation of 24.7.0, which is no longer the latest release. See the latest release.

Create a commit status

POST
/repos/{owner}/{repo}/statuses/{sha}
curl --request POST \
--url https://gitea.example.com/api/v1/repos/example/example/statuses/example \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "context": "example", "description": "example", "state": "example", "target_url": "example" }'
owner
required
string

Owner of the repo

repo
required
string

Name of the repo

sha
required
string

Sha of the commit

CreateStatusOption holds the information needed to create a new CommitStatus for a Commit

object
context
string
description
string
state

CommitStatusState holds the state of a CommitStatus It can be “pending”, “success”, “error” and “failure”

string
target_url
string
Examplegenerated
{
"context": "example",
"description": "example",
"state": "example",
"target_url": "example"
}

CommitStatus

Media typeapplication/json

CommitStatus holds a single status of a single Commit

object
context
string
created_at
string format: date-time
creator

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

The user’s username

string
login_name

The user’s authentication sign-in name.

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private

string
website

The user’s website

string
description
string
id
integer format: int64
status

CommitStatusState holds the state of a CommitStatus It can be “pending”, “success”, “error” and “failure”

string
target_url
string
updated_at
string format: date-time
url
string
Example
{
"creator": {
"login_name": "empty"
}
}

APIError is error format response

Media typeapplication/json
message
string
url
string

APINotFound is a not found empty response

Media typeapplication/json